import 'package:satu/core/utils/utils_parse.dart';

/// size : 14
/// text : null
/// center : true
/// name : "toptext"
/// value : null

class CheckRowBean {
  late int size;
  dynamic text;
  late bool center;
  String? name;
  String? value;

  static CheckRowBean fromMap(dynamic map) {
    final CheckRowBean rowsBean = CheckRowBean();
    rowsBean.size = cast<int>(map['size']) ?? 14;
    rowsBean.text = cast<dynamic>(map['text']);
    rowsBean.center = cast<bool>(map['center']) ?? false;
    rowsBean.name = cast<String>(map['name']);
    rowsBean.value = cast<String>(map['value']);
    return rowsBean;
  }

  Map toJson() => {
    'size': size,
    'text': text,
    'center': center,
    'name': name,
    'value': value,
  };
}